Mantis Bug Tracker

View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000685FirmwareDecoderspublic2012-09-09 22:412014-03-27 03:32
ReporterFred 
Assigned ToFred 
PriorityurgentSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.2.0-SNAPSHOT 
Target Version0.2.0Fixed in Version0.2.0 
Summary0000685: Fix edge usage in even + sync decoder.
DescriptionWrong edge used for VR applications. Fix is on temp branch. Sim has provided new offset from 482 to 566. Just need Preston's offset to push and close this.
TagsNo tags attached.
FirmwareVersion
Issue TypeBug
Risk of Breakagevery low
Attached Files

- Relationships
parent of 0000682acknowledgedFred Implement optimal DIS 6 decoder 
Not all the children of this issue are yet resolved or closed.

-  Notes
User avatar (0002127)
Fred (administrator)
2012-09-13 09:44

Also need 0000682 closed first, or Andy will need an offset change.
User avatar (0002157)
Preston (updater)
2012-09-19 19:56

Tested on 4age test bed. Works great.
4age offsets : Dizzy rotated clockwise = 282 deg
               Dizzy rotated anticlockwise = 326 deg

Observations: Stronger spark(previously sporadic), timing light does not have difficulty strobing with cylinder 1 ignition as before.
User avatar (0002162)
Fred (administrator)
2012-09-19 21:48

Log that I have shows some sync loss during cranking, but clean running. I'm not 100% convinced that this was ALL of your issue. It was certainly some of it, though.
User avatar (0002216)
Fred (administrator)
2012-09-24 11:21

Late breaking news:

Firmware Version: 0.2.0-SNAPSHOT-169-g76d6fc2-DEV-PRESTO
Decoder Name: EvenTeeth-Cam-24and1
Build Date: Wed Sep 19 15:34:32 NZST 2012

Wrong firmware! LOL. So, it mostly works OK even with the wrong code. I guess last time your HW was dodgy somehow. Looking forward to the return to Auckland and trial of correct code.
User avatar (0002218)
Preston (updater)
2012-09-24 12:44

ROFL, what a tard!!! last time dodgy HW... this time dodgy GIT use.
User avatar (0002473)
Fred (administrator)
2012-12-10 00:24

This is ready to roll. Just needs 0000682 to be pushed first.
User avatar (0002489)
Fred (administrator)
2012-12-22 16:32

Full results in from Australia available here:

http://forum.diyefi.org/viewtopic.php?p=31150#p31150 [^]
User avatar (0002538)
Fred (administrator)
2013-01-19 18:00

Yo Presto, assigned to you, let me know when you have the two log files from the two firmwares that I linked you in that email. Thanks in advance :-)
User avatar (0002765)
Fred (administrator)
2014-03-27 03:32

Finally pushed in old commit 10cb142750068b61cd624e203e7dec80784605be recently rebased and tested on a turbo 7M by Mr Via. Reopen if any doubt that this is the right move.


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker